Bug 1018240 - Mismash in transaction naming - JTA transactions vs. JTA
Mismash in transaction naming - JTA transactions vs. JTA
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: post-GA
: EAP 6.3.0
Assigned To: David Michael
Hayk Hovsepyan
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-11 10:20 EDT by Ondrej Chaloupka
Modified: 2014-11-23 18:17 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Build Name: 14874, Administration and Configuration Guide-6.2-1 Build Date: 02-10-2013 13:01:57 Topic ID: 4295-459146 [Latest]
Last Closed: 2014-11-23 18:17:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ondrej Chaloupka 2013-10-11 10:20:22 EDT
Title: Configure Your Datasource to Use JTA Transactions

I think that there is a little mishmash in transaction naming generally in the whole guide. I was filling some doc bug in past about this and I think that it could be fine to fix it as well here.

The title says "Use JTA Transactions" but in the guide we differ JTA and JTS transaction. This chapter talks about enable (any) transactions for the datasource. The title should better be like: "Configure Your Datasource to Use Transactions" or "Configure Your Datasource to Use Java Transaction API"

This change should be reflected to the whole chapter. The "Summary" is ok as it says "This task shows you how to enable Java Transactions API". But then all the following points talks about JTA Transactions. It should be better just transaction or Java Transaction API or just JTA.

Plus, please change the summary from:
This task shows you how to enable Java Transactions API
to
This task shows you how to enable Java Transaction API
Comment 3 Hayk Hovsepyan 2014-09-22 06:08:27 EDT
Verified on Revision 6.3.0-44
and 
Revision 6.3.0-31

Note You need to log in before you can comment on or make changes to this bug.